Description

Steps to reproduce:

    -  Load three layers
    -  Active two layers (ctrl + click or whatever)
    -  Release all keys
    -  Right-click in one of the active layers

The expected behaviour will be that the two layers keep active and the context menu has options like "Group layers" enabled, but
happens that only the last layer clicked is active.

When the user keeps the modifier key (ctrl or mayus) pressed and makes the right-click at the same time, everything works as
expected.

I think that:

1) When more than one layer is active and the user right-clicks in one of the active layers all the layers should be kept as active
2) When the user right-clicks in a not active layer that layer must be activated.
3) When the user press the modifier key and makes right-click, first, layers should be (de)activated and then show the menu (as it
works now)

History
#1 - 05/31/2017 11:09 AM - Joaquín  del Cerro Murciano
- Target version set to 2.4.0-2818 (rev. org.gvsig.desktop-2.0.184) 
- Assignee set to Francisco Díaz Carsí
- Status changed from New to In progress

#2 - 05/31/2017 11:12 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.4.0-2818 (rev. org.gvsig.desktop-2.0.184)  to 2.4.0-2819 (rev. org.gvsig.desktop-2.0.185) 

#3 - 06/01/2017 09:40 AM - Francisco Díaz Carsí
- Status changed from In progress to Fixed

#4 - 06/11/2017 09:46 PM - Álvaro Anguix
- Status changed from Fixed to Closed
